Skip to main content
POST
/
providers
/
irs
/
f8821
/
unsigned
cURL
curl --request POST \
  --url https://api.trychart.com/providers/irs/f8821/unsigned \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "personalInfo": {
    "firstName": "John",
    "lastName": "Doe",
    "ssn": "123456789"
  },
  "address": {
    "street": "123 Main St",
    "city": "San Francisco",
    "state": "CA",
    "zip": "94101",
    "other": "Apt 1"
  },
  "form56": {
    "authority": {
      "1gDesc": "<string>",
      "2a": "<string>",
      "2b": "<string>"
    },
    "tax": {
      "5": "<string>",
      "types": [],
      "typeDesc": "<string>",
      "forms": [],
      "formDesc": "<string>"
    },
    "proceedings": {
      "name": "<string>",
      "address": {
        "street": "<string>",
        "other": "<string>",
        "city": "<string>",
        "state": "<string>",
        "zip": "<string>"
      },
      "date": "<string>",
      "time": {
        "text": "<string>"
      },
      "initiationDate": "<string>",
      "docketNumber": "<string>",
      "placeOfOtherProceedings": "<string>"
    },
    "title": "<string>"
  },
  "extraDesignees": [
    {
      "name": "<string>",
      "address": {
        "street": "123 Main St",
        "city": "San Francisco",
        "state": "CA",
        "zip": "94101",
        "other": "Apt 1"
      },
      "cafNumber": "<string>",
      "monitorIRSNotices": true
    }
  ]
}
'
import requests

url = "https://api.trychart.com/providers/irs/f8821/unsigned"

payload = {
"personalInfo": {
"firstName": "John",
"lastName": "Doe",
"ssn": "123456789"
},
"address": {
"street": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94101",
"other": "Apt 1"
},
"form56": {
"authority": {
"1gDesc": "<string>",
"2a": "<string>",
"2b": "<string>"
},
"tax": {
"5": "<string>",
"types": [],
"typeDesc": "<string>",
"forms": [],
"formDesc": "<string>"
},
"proceedings": {
"name": "<string>",
"address": {
"street": "<string>",
"other": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
},
"date": "<string>",
"time": { "text": "<string>" },
"initiationDate": "<string>",
"docketNumber": "<string>",
"placeOfOtherProceedings": "<string>"
},
"title": "<string>"
},
"extraDesignees": [
{
"name": "<string>",
"address": {
"street": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94101",
"other": "Apt 1"
},
"cafNumber": "<string>",
"monitorIRSNotices": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
personalInfo: {firstName: 'John', lastName: 'Doe', ssn: '123456789'},
address: {
street: '123 Main St',
city: 'San Francisco',
state: 'CA',
zip: '94101',
other: 'Apt 1'
},
form56: {
authority: {'1gDesc': '<string>', '2a': '<string>', '2b': '<string>'},
tax: {
'5': '<string>',
types: [],
typeDesc: '<string>',
forms: [],
formDesc: '<string>'
},
proceedings: {
name: '<string>',
address: {
street: '<string>',
other: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>'
},
date: '<string>',
time: {text: '<string>'},
initiationDate: '<string>',
docketNumber: '<string>',
placeOfOtherProceedings: '<string>'
},
title: '<string>'
},
extraDesignees: [
{
name: '<string>',
address: {
street: '123 Main St',
city: 'San Francisco',
state: 'CA',
zip: '94101',
other: 'Apt 1'
},
cafNumber: '<string>',
monitorIRSNotices: true
}
]
})
};

fetch('https://api.trychart.com/providers/irs/f8821/unsigned', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Please use base64 encoded client_id:client_secret. You can use this command to generate the base64 encoded string: echo -n 'client_id:client_secret' | base64

Body

application/json
personalInfo
object
required
address
object
required
businessInfo
object
form56
object

IRS Form 56 (https://www.irs.gov/pub/irs-pdf/f56.pdf). Only required if the signer of the form 8821 is the fiduciary and not the taxpayer.

extraDesignees
object[]

Response

Unsigned IRS Form 8821 Response

The response is of type file.